# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ glib-devel pkgconfig(cairo) pkgconfig(freetype2) pkgconfig(gstreamer-0.10) pkgconfig(gtk+-2.0) pkgconfig(taglib)
# END SourceDeps(oneline)
Name:           gloobus-preview
Version:        0.4.1
Release:        alt1_22
Summary:        A Gnome extension to enable previews for any kind of file

Group:          File tools
License:        GPLv3
URL:            https://launchpad.net/gloobus-preview
Source0:        http://launchpad.net/gloobus/gloobus-0.4/%{version}/+download/%{name}-%{version}.tar.gz
Source1:        README.fedora.tar.gz

# This patch fixes problems with autotools not respecting install directories
# it also includes the rebuild of the autotools scripts required
Patch0:         gloobus-location-prereconf.patch
Patch1:         gloobus-page-render-to-pixbuf.patch


BuildRequires:  gtk2-devel
BuildRequires:  gvfs-devel
BuildRequires:  gst-plugins-devel
BuildRequires:  libcairomm-devel
BuildRequires:  taglib-devel
BuildRequires:  libpoppler-glib-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  unoconv
BuildRequires:  libgtksourceview-devel
BuildRequires:  libclutter-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libtool
BuildRequires:  autoconf
Requires: GConf2
Source44: import.info

%description
Gloobus Preview allows instant access to a variety of file types without the 
need to open their default applications.

%prep
%setup -q
%setup -q -D -T -a 1
%patch0 -p1
%patch1 -p1
find . -name '*.cpp' -exec chmod -x {} \;
find . -name '*.h' -exec chmod -x {} \;
libtoolize
autoreconf -if

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_libdir}/gloobus
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop

%doc README AUTHORS COPYING THANKS README.fedora

%changelog
* Mon Jan 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_22
- initial fc import

